KTextEditor::Cursor Class Referenceabstract

`#include <cursorinterface.h>`

## Public Member Functions

virtual void | position (unsigned int *line, unsigned int *col) const =0
virtual bool | setPosition (unsigned int line, unsigned int col)=0
virtual bool | insertText (const QString &text)=0
virtual bool | removeText (unsigned int numberOfCharacters)=0
virtual QChar | currentChar () const =0

## Detailed Description

This class represents a text cursor.

Definition at line 33 of file cursorinterface.h.

The documentation for this class was generated from the following file:

- cursorinterface.h

KDE Home | KDE Accessibility Home | Description of Access Keys